Subject: bug#433: vlc-plugin-qt: VLC Qt UI doesn't start in the presense of QT_QPA_PLATFORMTHEME, GTK_CSD and LD_PRELOAD

From: Mark Hindley <[email-masked]>
Date: Tue, 28 Apr 2020 13:25:12 +0100

Control: tags -1 debian

Andrey,

On Mon, 27 Apr 2020 23:43:01 +0300 Andrey ``Bass'' Shcheglov <[email-masked]> wrote:
> Package: vlc-plugin-qt
> Version: 3.0.8-0+deb10u1
> Severity: grave
> 
> Dear Maintainer,
> 
> I have all my Qt 5 applications rendering their UI via GTK2
> (this means I have qt5-style-plugins package installed):
> 
> > QT_QPA_PLATFORMTHEME=gtk2
> > QT_STYLE_OVERRIDE=gtk2
> 
> Additionally, for my GTK3 applications, I have client-side decorations
> disabled (with gtk3-nocsd and libgtk3-nocsd0 packages installed):

Thanks for this. None of these packages are forked in Devuan and we use Debian's
packages directly. You would be better reporting this issue to Debian BTS.

Thanks.

Mark